Atualizando versão do GLPI 0.72.4 para 0.78.2

Bom dia galera!

Nesse tutorial estarei explicando com atualizar o GLPI versão 0.72.4 para a versão 0.78.2 de forma segura.

OBJETIVO: Ajudar os usuários do GLPI com relação a atualização segura de versão (0.72.4 para 0.78.2).

Para começar vamos acessar o GLPI (produção) verificando a versão, veja a figura abaixo:

1º Passo

Backup da base de dados MySQL (link) e também da instalação que está em produção (0.72.4), sugiro compactar o diretório com todos os arquivos (.RAR, .ZIP, .TAR.GZ ou o que ficar mais fácil).

2º Passo

Fazer o download da versão 0.78.2 (original) diretamente do site do GLPI ou a versão alterada por mim:

Download “Modificações no GLPI 0.78.2” glpi-0.78.2-modificada-thiagopassamani.7z – Baixado 541 vezes – 3 MB

3º Passo

Descompactar o arquivo baixado, será gerado o diretório “GLPI”, veja figura abaixo:

Diretório gerado ao descompactar, veja figura abaixo:

4º Passo

Enviar os arquivos do diretório descompactado sobrepondo a instalação (produção) do seu servidor WEB. Isso pode ser feito no Linux (direto por linha de comando ou por SSH usando WinSCP) ou no Windows substituindo os arquivos existentes. Veja figura abaixo (Windows):

5º Passo

Depois acesse o GLPI e siga o procedimento da “ATUALIZAÇÃO” clicando no botão “Atualizar“, conforme figura abaxio:

Aguarde o procedimento de atualização começar, demora um pouco (10 a 20 minutos).

Depois aguarde a mudança de versão até a versão 0.78.2, veja figura abaixo:

Aguarde a finalização da atualização e clique no botão “Usar o GLPI”, conforme figura abaixo:

Depois verifique a versão do GLPI se está como 0.78.2, conforme figura abaixo:

Para dúvidas, críticas, sugestões ou reclamações. Por favor comentem!.

32 respostas para “Atualizando versão do GLPI 0.72.4 para 0.78.2”

  1. Thiago bom dia, atualizei O GLPI da versão 0.85.4 para a versão 0.90.5 e quando vou subir a base de dados antiga, ele faz a restauração 100% e logo em seguida quando vou entrar novamente no GLPI aparece a seguinte mensagem: “A versão do banco de dados não é compatível com a versão dos arquivos instalados. Uma atualização se faz necessária.”. Faço a atualização normalmente e quando faço o login o banco de dados não subiu, o que pode ser?

  2. Gostaria de uma ajuda para instalar o glpi versão 0.85.4.tar.gz, pois não estou conseguindo instalar. Instalei a versão 0.84.3 e atualizar para a versão mais nova, mas não consigo. Pois na versão 0.84.3 estou com problemas no destinatário, quando cadastro o e-mail ele cadastra normalmente, mas não está baixando os e-mails na ferramenta.

  3. bom dia Thiago,
    Temos aqui na empresa a versão 85.4, e estamos com problemas para enviar e-mails em grande quantidade no modo automatico, o nosso glpi esta enviando apenas 2 em 2 emails e depois de um certo tempo ele fica com a informação “executando” e nao envia mas nenhum.
    tem alguma solução para isso ?

  4. Tiago, boa noite.

    Hoje estou com a versão 0.83 e estou pensando em atualizar ela, tem algum problema se for direto para a ultima versão?

  5. Thiago, parabéns pelo BLOG.
    Gostaria apenas de saber se eu perco todas as minhas customizações ao realizar essa atualização?

    Grato.

  6. Thiago,

    Já configurei as entidades,
    Configurei a entidade raiz e os setores como entidades filhas, porém no template de abertura de chamado não consigo escolher a entidades que eu quero..

  7. Sim eles vão atender chamados, criando assim uma demanda para cada setor.
    Tipo a secretaria pede um relatório do financeiro, abri um chamado para o financeiro. Tentei dividir por categoria que existe na tela de chamados. Até que daria para usar assim, porém quero o usuário escolha o setor pra onde solicita o chamado. Ai quem for encaminhar o chamado só tenha a visão dos chamados para o seu setor.

    Fico no aguardo
    Obrigado pela Atenção

    Alessandro Bezerra
    redes@literatus.edu.br

  8. Thiago Boa Tarde,

    Aqui na minha empresa usamos o GLPI na versão 0.80.61.
    Atualmente apenas o setor de TI utiliza ele como gerenciador de chamados, porém nosso presidente solicitou que todos os outros setore usem, ou seja que possa abrir chamados para: financeiro, secretaria, operacional, etc.
    A minha pergunta é a seguinte: tem como dividir por Grupos? e na hora de abrir o chamado o usuário já setar pra que setor o chamado vai?. No menu assistência/chamados aparece todos os chamados, será possivel que a visão dos chamados fiquem restritas tipo, para quem vai administrar os chamados do financeiro? só ficar visivel para o gestor de financeiro os chamados para o setor dele?

    Preciso muito de sua ajuda,
    Fico no aguardo

    Alessandro Bezerra
    redes@literatus.edu.br

  9. Boa Tarde Thiago, Gostaria que você me orientasse de como fazer atualização da versão 0.80.7 para a versão 0.83.20.

  10. Cara precisava entrar em contato com você.
    Tentei enviar uma mensagem pelo seu site a acredito não ter conseguido.
    podes passar seu e-mail?

    att
    Diego Alencar

  11. Thiago,

    Segui seu passo-a-passo para atualização do GLPI das versões citadas no seu artigo, no entanto, eu tive problemas para atualizar o banco de dados.

    Bem, achei estranho porque ninguem reportou o mesmo problema que eu. A atualização acusava que não existiam as tabelas novas e simplesmente não alterava a base de dados.

    O erro que eu encontrava era esse:

    ” 0.78 change requesttypes_id in glpi_configsError during the database updateDuplicate column name ‘default_requesttypes_id’ ”

    A solução que encontrei foi instalar a nova versão (a 0.78.2) e restaurar o backup da base que o seu artigo orientou a fazer.

    Agradeço, em nome de toda a comunidade que usa o GLPI aqui no Brasil, pela sua iniciativa em criar um blog que está com certeza ajudando a muitos.

    Abraços.

  12. @Pat sem problema. Para você cadastrar vá em “CONFIGURAR” > “DROPDOWNS” e selecione “Assistencia – Categoria de Chamados”. Nessa opção você inclui tudo o que precisa.

  13. Bom dia, Thiago!
    Fazendo teste de abrir um chamado como um usuário post-only, a dropdown “categoria” não apresenta nenhum item. Em que lugar no glpi faço a configuração desta opção?
    Desde já agradeço.
    Desculpe ter feito a pergunta aqui, não encontrei nenhum outro tópico relacionado a minha dúvida.

  14. Caro,

    Sabe me dizer se é possivel abrir um chamado no GLPI através do envio de e-mail para uma determinada conta?

    Obrigado

  15. @Rodrigo Silva: Existe sim, você precisa alterar essa linha (673) no arquivo /inc/common.function.php.

    De:

     } else if ($mem<64*1024*1024) { // memoire insuffisante 

    Para:

     } else if ($mem<32*1024*1024) { // memoire insuffisante 

    Ficando assim com 32M de mémoria. Espero ter ajudado.

  16. Olá meus caros,
    Há alguma forma de fazer o glpi rodar com 32mb de memória, pois minha ideia é utiliza-lo para meus clientes de contrato de manutenção. Porém meu servidor de hospedagem web tem limite de 32mb e não está conseguindo dar continuidade.
    Existe alguma alternativa, vi que instalado em uma maquina para testes internos ou rodar internamente sem ser na web, há como, porém neste caso não tenho como modificar.

  17. Olá Thiago!!!

    Estou com problemas no glpi 78.2 estava utilizando a vesão 72.4 normalmente porem quando fiz a atualização para a versão mais recente não consigo mais utilizar a autenticação com LDAP sabe de algo que pode me ajudar? as configurações estão iguais ao seu post de integração com AD…

  18. Fala Thiago… blz..

    Meu Obrigado por mandar este material de apoio, excelente e muito facil de atualizar, aproveitando vc poderia me dizer se tem como implantar algum controle de impressão utilizando o GLPI.

    Abraços,

    Rogério

Os comentários estão desativados.